//
// This loads a csv file and displays it on the screen as a table. Not really meant to be used as an example,
// but rather to test the correct loading of your csv files.
//
// Comment/uncomment the lines below to switch dataset. For higher speed add the csv file to your project
// and load it from the disk.
//
// Cells that can be parsed as an int or as a float are displayed in blue.
// Use mouse drag to pan the table.
//
// @author Pierre Dragicevic
//

TableViewer viewer;

void setup() {

  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////
  // Datasets
  //////////////////////////////////////////////////////////////////////////////////////////////////////////////////

  // -- Cameras
  Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/Camera.csv", ";", new int[]{2});
    
  // -- Cars
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/cars.csv", ";", new int[]{2});
  
  // -- Cereals
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/cereal.csv", ";", new int[]{2});
  
  // -- Countries
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/factbook.csv", ";", new int[]{2});
  
  // -- Films
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/film.csv", ";", new int[]{2});
  
  // -- Wikipedia Edits
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/smallwikipedia.csv", ";", new int[]{2});

  // -- Marriages
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/marriages.csv", ";", new int[]{2});
  
  // -- Causes of death
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/CausesOfDeath_France_2001-2008.csv", ",", null);

  // -- Time use
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/TimeUse.csv", ",", null);

  // -- Happiness
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/happiness.csv", ",", null);
  
  // -- Income Inequalities
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/gini.csv", ",", null);

  // -- HIV prevalence
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/hiv.csv", ",", null);  
  
  // -- Speed dating  **Note** parsing numerical data takes forever -- better turn it off, see below
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/SpeedDating.csv", ",", null);
   
  // -- Country shapes (not a class project dataset)
  //Table table = new Table("http://www.aviz.fr/wiki/uploads/Teaching/countries.csv", "\t", null);
   
  // If set to true, will try to parse numerical data and show it in blue when successful. Can take a while.
  boolean parseNumericalData = true;
  
  // If set to true, will show numeric data after parsing, i.e., correctly formatted.
  boolean showParsedNumericalData = true;

  viewer = new TableViewer(table, parseNumericalData, showParsedNumericalData);  
}

void draw() {
  viewer.draw();
}

void mousePressed() {
  viewer.mousePressed();
}

void mouseDragged() {
  viewer.mouseDragged();
}
